# Class CIM_SwitchPortStatistics
extends CIM_SAPStatisticalInformation

Statistical information regarding a generic SwitchPort, independent of the specific kind of switching done on frames arriving at the port.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalInformation
|
+--CIM_SAPStatisticalInformation
|
+--CIM_SwitchPortStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Statistical information regarding a generic SwitchPort, independent of the specific kind of switching done on frames arriving at the port.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DelayExceededDiscards | uint32 |
Counter | boolean | true
Description | string | The number of frames discarded by this port due to excessive transit delay through the bridge.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dBasePortDelayExceededDiscards
MtuExceededDiscards | uint32 |
Counter | boolean | true
Description | string | The number of frames discarded by this port due to an excessive size.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dBasePortMtuExceededDiscards

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_SAPStatisticalInformation
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_SAPStatisticalInformation
SAPCreationClassName | string | CIM_SAPStatisticalInformation
SAPName | string | CIM_SAPStatisticalInformation
SystemCreationClassName | string | CIM_SAPStatisticalInformation
SystemName | string | CIM_SAPStatisticalInformation

## Class Methods